%
% This function creates random points in 3D.
% @param xRange A two element vector denoting the range of possible values 
%               for the x coordinate.
%
% @param yRange A two element vector denoting the range of possible values 
%               for the y coordinate.
%
% @param zRange A two element vector denoting the range of possible values 
%               for the z coordinate.
%
% @param numPoints Number of points to generate (>0).
% 
% @return points A 3xnumPoints array. 
%
% @author Ziv Yaniv (zivy@isis.georgetown.edu)
%
function points = createRandomPoints(xRange,yRange,zRange,numPoints)

        %computation assumes this order
xRange = [min(xRange), max(xRange)];
yRange = [min(yRange), max(yRange)];
zRange = [min(zRange), max(zRange)];

x = rand(1,numPoints) * (xRange(2) - xRange(1)) + xRange(1);
y = rand(1,numPoints) * (yRange(2) - yRange(1)) + yRange(1);
z = rand(1,numPoints) * (zRange(2) - zRange(1)) + zRange(1);
points = [x;y;z];
